Subject: Re: PPC vs POWERPC

From: Jon Loeliger <[email-masked]>
Date: Tue, 15 Jan 2008 11:01:33 -0600

On Tue, 2008-01-15 at 04:38, Matias Sundman wrote:
>  >>Documentation/powerpc/booting-without-of.txt to find out what is
>  >>expected in the device tree.
> 
> Is there any more information on how the "of_*" ( e.g. of_node_put ,  
> of_find_node_by_type ) functions should be implemented in  the 
> "arch/powerpc/platforms/myplatform/myboard_setup.c" file
> or is the documentation the existing "*.c" c files under 
> arch/powerpc/platforms ?
> 
> Since I have a 82xx board I assume that "myboard_setup.c" file shall be 
> put under arch/powerpc/platforms/82xx.

Maybe.  Which 82xx is it?  There is a notable difference
between, say, the 824x boards and the 827x boards.  If it
is the latter, perhaps the existing 82xx/ pq2 or mpc8272
parts are already sufficient?

If it is the former group, 824x, perhaps some of the parts
in embedded6xx/ are usable?  Also note that I am working on
publishing an 824x StorCenter port under embedded6xx/ at
this time as well.  First patches were posted to linuxppc-dev
list at ozlabs.org.

HTH,
jdl